# [ByteLegend](https://bytelegend.com) Challenge of JavaIsland: Java Basic Structure

<details open='true'>
<summary>English</summary>

## Kill First Bug Evil

When it comes to learning, nothing is better than practice.

When it comes to learning programming, nothing is better than fixing a real bug.

Now, there is a Bug Evil in [this simple Java program](https://github.com/ByteLegendQuest/java-fix-add/blob/main/src/main/java/com/bytelegend/Challenge.java),
the way to kill it is creating a pull request to fix it.

## Challenge
- There is an obvious bug in [this program](https://github.com/ByteLegendQuest/java-fix-add/blob/main/src/main/java/com/bytelegend/Challenge.java): the addition operator(`+`) is mistaken as substraction operator(`-`).
- You can accomplish this challenge via any way below:
  - Recommended for beginners: run `git clone https://github.com/ByteLegendQuest/java-fix-add` to download the code,
    finish the challenge in your local IDE, then copy/paste/submit the answer in web editor.
    - If you don't know how, you can click [import project into IDEA](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/clone-and-import.md)/[import project into VSCode](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/clone-and-import-vscode.md).
    - Before submitting your code, you'd better run `mvn verify` locally to save time. Don't know how? See [verify locally in IDEA](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/run-mvn-verify-idea.md)/[verify locally in VSCode](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/run-mvn-verify-vscode.md).
  - Very unrecommended: you can [click here to download zipped code](https://codeload.github.com/ByteLegendQuest/java-fix-add/zip/refs/heads/main) if you don't like `git` operations.
  - Or: if you are confident enough to write code in web editor directly, go ahead.
  - Or: if you are familiar with GitHub, you can fork [the repo](https://github.com/ByteLegendQuest/java-fix-add), finish the challenge and create a pull request.
- The bot will check your PR and tell you if you accomplish the challenge.
- Go back to [ByteLegend](https://bytelegend.com) and continue your hero journey.

Good luck!

If you need any help, feel free to join the [Discord Community](https://discord.gg/35RreUUGWt) or contact us via [contact@bytelegend.com](mailto:contact@bytelegend.com).

**Note: we only allow you to modify the following files.
Any changes to files other than the following files will be rejected:**

- `src/main/java/com/bytelegend/Challenge.java`

> ### Fun Fact
>
> The term "bug" was used in an account by computer pioneer Grace Hopper, who publicized the cause of a malfunction in an early electromechanical computer.
> In 1947, operators traced an error in the Mark II to a moth trapped in a relay, coining the term bug. This bug was carefully removed and taped to the log book.
> Stemming from the first bug, today we call errors or glitches in a program a bug.
> ——[Wikipedia](https://en.wikipedia.org/wiki/Software_bug)
>
> ![bug](https://raw.githubusercontent.com/ByteLegendQuest/java-fix-add/main/first-bug.jpg)

</details>

<details>
<summary>简体中文</summary>

## 消灭第一个幺蛾子恶魔

没有什么能比动手实践更快地学到东西了。

没有什么能比真正动手修bug更快地学会编程了。

现在，我们的[一个简单的Java程序](https://github.com/ByteLegendQuest/java-fix-add/blob/main/src/main/java/com/bytelegend/Challenge.java)中有一个幺蛾子恶魔，
消灭这个幺蛾子的方法就是提交一个Pull Request帮我们修复之。

## 挑战
- [这个程序](https://github.com/ByteLegendQuest/java-fix-add/blob/main/src/main/java/com/bytelegend/Challenge.java)里有一个明显的bug：加法函数中的加号(`+`)被写成了减号(`-`)，请修复这个问题。
- 你可以使用以下任意一种方法完成挑战：
  - 初学者推荐：运行`git clone https://git.bytelegend.com/ByteLegendQuest/java-fix-add`将代码下载到本地，在本地使用IDE调试完成后复制到网页编辑器里提交。
    - 如果你不知道怎么做，可以点击[导入IDEA](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/zh_hans/clone-and-import.md)/[导入VSCode](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/zh_hans/clone-and-import-vscode.md)。
    - 在提交之前，你最好先在本地运行`mvn verify`验证一下答案，以节约时间。不知道如何做？请查看[在IDEA中本地验证](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/zh_hans/run-mvn-verify-idea.md)/[在VSCode中本地验证](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/zh_hans/run-mvn-verify-vscode.md)。
  - 非常不推荐：如果你实在不喜欢`git`命令行操作，你可以[点击这里直接下载打包好的代码](https://ghcodeload.bytelegend.com/ByteLegendQuest/java-fix-add/zip/refs/heads/main)。
  - 或者：如果你非常自信不需要下载代码到本地调试，可以使用网页编辑器直接提交。
  - 或者：如果你对GitHub非常熟悉，你可以fork[这个仓库](https://github.com/ByteLegendQuest/java-fix-add)、完成挑战后，创建一个Pull Request。
- 机器人将会检查你的答案，告诉你你是否通过了挑战。
- 回到[字节传说](https://bytelegend.com)，然后继续你的英雄旅程。

祝你好运！

如果你需要任何帮助，欢迎加入官方玩家QQ群（在[首页](https://bytelegend.com)右下角的`联系 & 关于`菜单里可以找到入群方式）或者[Discord社区](https://discord.gg/PvmqK3hF)，或email至[contact@bytelegend.com](mailto:contact@bytelegend.com)。

**注意：我们只允许您修改以下文件，任何对其他文件的修改都会被拒绝：**

- `src/main/java/com/bytelegend/Challenge.java`

> ### 有趣的小知识
>
> 在1947年9月9日，葛丽丝·霍普（Grace Hopper）发现了世界上第一个电脑bug。
> 有一次Mark II突然宕机，原因是一只飞蛾意外飞入了一台电脑内部而引起了故障（如图所示）。
> 团队在日志本中记录下了这一事件。也因此，人们逐渐开始用“Bug”（原意为“虫子”）来称呼计算机中的错误。
> 现在在华盛顿的美国国家历史博物馆中还可以看到这份日志。
> ——[维基百科](https://zh.wikipedia.org/wiki/%E7%A8%8B%E5%BA%8F%E9%94%99%E8%AF%AF)
>
> ![bug](https://raw.githubusercontent.com/ByteLegendQuest/java-fix-add/main/first-bug.jpg)

</details>

<details>
<summary>繁體中文</summary>

殺死第一蟲邪惡
-------

說到學習，沒有什麼比實踐更好的了。

在學習編程方面，沒有什麼比修復一個真正的錯誤更好的了。

現在，在[這個簡單的 Java 程序](https://github.com/ByteLegendQuest/java-fix-add/blob/main/src/main/java/com/bytelegend/Challenge.java)中有一個 Bug Evil，殺死它的方法是創建一個拉取請求來修復它。

挑戰
--

-   [這個程序](https://github.com/ByteLegendQuest/java-fix-add/blob/main/src/main/java/com/bytelegend/Challenge.java)有一個明顯的錯誤：加法運算符（ `+` ）被誤認為減法運算符（ `-` ）。
-   您可以通過以下任何方式完成此挑戰：
    -   建議初學者：運行`git clone https://github.com/ByteLegendQuest/java-fix-add`下載代碼，在本地 IDE 中完成挑戰，然後在 Web 編輯器中復制/粘貼/提交答案。
        -   如果你不知道怎麼做，你可以點擊[import project into IDEA](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/clone-and-import.md) / [import project into VSCode](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/clone-and-import-vscode.md) 。
        -   在提交代碼之前，您最好在本地運行`mvn verify`以節省時間。不知道怎麼樣？請參閱[在 IDEA](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/run-mvn-verify-idea.md) [中進行本地驗證/在 VSCode 中進行本地驗證](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/run-mvn-verify-vscode.md)。
    -   非常不推薦：如果你不喜歡`git`操作，可以[點擊這裡下載壓縮代碼](https://codeload.github.com/ByteLegendQuest/java-fix-add/zip/refs/heads/main)。
    -   或者：如果您有足夠的信心直接在 Web 編輯器中編寫代碼，請繼續。
    -   或者：如果你熟悉 GitHub，你可以 fork[倉庫](https://github.com/ByteLegendQuest/java-fix-add)，完成挑戰並創建一個拉取請求。
-   機器人會檢查你的 PR 並告訴你是否完成了挑戰。
-   回到[ByteLegend](https://bytelegend.com)繼續你的英雄之旅。

祝你好運！

如果您需要任何幫助，請隨時加入[Discord 社區](https://discord.gg/35RreUUGWt)或通過[contact@bytelegend.com](mailto:contact@bytelegend.com)聯繫我們。

**注意：我們只允許您修改以下文件。對以下文件以外的文件的任何更改都將被拒絕：**

-   `src/main/java/com/bytelegend/Challenge.java`

> ### 有趣的事實
> 
> 計算機先驅格蕾絲·霍珀（Grace Hopper）在一篇文章中使用了“錯誤”一詞，他公開了早期機電計算機故障的原因。 1947 年，操作員將 Mark II 中的一個錯誤追溯到一隻被困在繼電器中的飛蛾，從而創造了“蟲子”一詞。這個錯誤被小心地刪除並貼在日誌上。源於第一個錯誤，今天我們將程序中的錯誤或故障稱為錯誤。 ——[維基百科](https://en.wikipedia.org/wiki/Software_bug)
> 
> ![漏洞](https://raw.githubusercontent.com/ByteLegendQuest/java-fix-add/main/first-bug.jpg)
</details>

<details>
<summary>Español</summary>

Mata al primer insecto malvado
------------------------------

Cuando se trata de aprender, nada es mejor que la práctica.

Cuando se trata de aprender a programar, nada es mejor que corregir un error real.

Ahora, hay un Bug Evil en [este simple programa de Java](https://github.com/ByteLegendQuest/java-fix-add/blob/main/src/main/java/com/bytelegend/Challenge.java) , la forma de eliminarlo es creando una solicitud de extracción para solucionarlo.

Desafío
-------

-   Hay un error obvio en [este programa](https://github.com/ByteLegendQuest/java-fix-add/blob/main/src/main/java/com/bytelegend/Challenge.java) : el operador de suma ( `+` ) se confunde con el operador de resta ( `-` ).
-   Puede lograr este desafío de cualquier manera a continuación:
    -   Recomendado para principiantes: ejecute `git clone https://github.com/ByteLegendQuest/java-fix-add` para descargar el código, finalice el desafío en su IDE local, luego copie/pegue/envíe la respuesta en el editor web.
        -   Si no sabe cómo hacerlo, puede hacer clic en [importar proyecto a IDEA](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/clone-and-import.md) / [importar proyecto a VSCode](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/clone-and-import-vscode.md) .
        -   Antes de enviar su código, es mejor que ejecute `mvn verify` localmente para ahorrar tiempo. ¿No sabes cómo? Ver [verificar localmente en IDEA](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/run-mvn-verify-idea.md) / [verificar localmente en VSCode](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/run-mvn-verify-vscode.md) .
    -   Muy poco recomendado: puede [hacer clic aquí para descargar el código comprimido](https://codeload.github.com/ByteLegendQuest/java-fix-add/zip/refs/heads/main) si no le gustan las operaciones de `git` .
    -   O: si tiene la confianza suficiente para escribir código en el editor web directamente, adelante.
    -   O: si está familiarizado con GitHub, puede bifurcar [el repositorio](https://github.com/ByteLegendQuest/java-fix-add) , finalizar el desafío y crear una solicitud de extracción.
-   El bot verificará tu PR y te dirá si logras el desafío.
-   Regrese a [ByteLegend](https://bytelegend.com) y continúe su viaje de héroe.

¡Buena suerte!

Si necesita ayuda, no dude en unirse a la [comunidad de Discord](https://discord.gg/35RreUUGWt) o contáctenos a través de [contact@bytelegend.com](mailto:contact@bytelegend.com) .

**Nota: solo le permitimos modificar los siguientes archivos. Cualquier cambio en los archivos que no sean los siguientes archivos será rechazado:**

-   `src/main/java/com/bytelegend/Challenge.java`

> ### Hecho de la diversión
> 
> El término "error" fue utilizado en un relato por la pionera de la informática Grace Hopper, quien publicó la causa de un mal funcionamiento en una de las primeras computadoras electromecánicas. En 1947, los operadores rastrearon un error en el Mark II hasta una polilla atrapada en un relé, acuñando el término error. Este error se eliminó cuidadosamente y se grabó en el libro de registro. Partiendo del primer error, hoy llamamos error a los errores o fallas en un programa. [——Wikipedia](https://en.wikipedia.org/wiki/Software_bug)
> 
> ![error](https://raw.githubusercontent.com/ByteLegendQuest/java-fix-add/main/first-bug.jpg)
</details>

<details>
<summary>العربية</summary>

اقتل الشر حشرة الأولى
---------------------

عندما يتعلق الأمر بالتعلم ، فلا شيء أفضل من الممارسة.

عندما يتعلق الأمر بتعلم البرمجة ، فلا شيء أفضل من إصلاح خطأ حقيقي.

الآن ، هناك Bug Evil في [برنامج Java البسيط هذا](https://github.com/ByteLegendQuest/java-fix-add/blob/main/src/main/java/com/bytelegend/Challenge.java) ، وطريقة القضاء عليه هي إنشاء طلب سحب لإصلاحه.

تحد
---

-   هناك خطأ واضح في [هذا البرنامج](https://github.com/ByteLegendQuest/java-fix-add/blob/main/src/main/java/com/bytelegend/Challenge.java) : عامل الإضافة ( `+` ) مخطئ كعامل استبدال ( `-` ).
-   يمكنك إنجاز هذا التحدي بأي طريقة أدناه:
    -   موصى به للمبتدئين: قم بتشغيل `git clone https://github.com/ByteLegendQuest/java-fix-add` لتنزيل الكود ، وإنهاء التحدي في IDE المحلي الخاص بك ، ثم نسخ / لصق / إرسال الإجابة في محرر الويب.
        -   إذا كنت لا تعرف كيف يمكنك النقر فوق [استيراد مشروع إلى IDEA](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/clone-and-import.md) / [استيراد مشروع إلى VSCode](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/clone-and-import-vscode.md) .
        -   قبل إرسال التعليمات البرمجية الخاصة بك ، من الأفضل تشغيل `mvn verify` محليًا لتوفير الوقت. لا أعرف كيف؟ انظر [التحقق محليًا في IDEA](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/run-mvn-verify-idea.md) / [تحقق محليًا في VSCode](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/run-mvn-verify-vscode.md) .
    -   غير موصى به على الإطلاق: يمكنك [النقر هنا لتنزيل رمز مضغوط](https://codeload.github.com/ByteLegendQuest/java-fix-add/zip/refs/heads/main) إذا كنت لا تحب عمليات `git` .
    -   أو: إذا كنت واثقًا بدرجة كافية من كتابة التعليمات البرمجية في محرر الويب مباشرةً ، فابدأ.
    -   أو: إذا كنت معتادًا على GitHub ، فيمكنك تفرع [الريبو](https://github.com/ByteLegendQuest/java-fix-add) وإنهاء التحدي وإنشاء طلب سحب.
-   سيتحقق الروبوت من العلاقات العامة الخاصة بك ويخبرك إذا أنجزت التحدي.
-   ارجع إلى [ByteLegend وتابع](https://bytelegend.com) رحلة بطلك.

حظ سعيد!

إذا كنت بحاجة إلى أي مساعدة ، فلا تتردد في الانضمام إلى [مجتمع Discord](https://discord.gg/35RreUUGWt) أو الاتصال بنا عبر [contact@bytelegend.com](mailto:contact@bytelegend.com) .

**ملاحظة: نسمح لك فقط بتعديل الملفات التالية. سيتم رفض أي تغييرات يتم إجراؤها على الملفات بخلاف الملفات التالية:**

-   `src/main/java/com/bytelegend/Challenge.java`

> ### حقيقة ممتعة
> 
> تم استخدام مصطلح "علة" في حساب رائد الكمبيوتر جريس هوبر ، الذي أعلن عن سبب حدوث خلل في جهاز كمبيوتر كهروميكانيكي مبكر. في عام 1947 ، تتبع المشغلون خطأً في Mark II إلى فراشة عالقة في مرحل ، صاغًا مصطلح علة. تمت إزالة هذا الخطأ بعناية وتسجيله في دفتر السجل. انطلاقًا من الخطأ الأول ، نطلق اليوم على الأخطاء أو مواطن الخلل في البرنامج خطأ. —— [ويكيبيديا](https://en.wikipedia.org/wiki/Software_bug)
> 
> ![حشرة](https://raw.githubusercontent.com/ByteLegendQuest/java-fix-add/main/first-bug.jpg)
</details>

<details>
<summary>Português</summary>

Mate o primeiro inseto maligno
------------------------------

Quando se trata de aprender, nada é melhor do que praticar.

Quando se trata de aprender programação, nada é melhor do que corrigir um bug real.

Agora, há um Bug Evil [neste programa Java simples](https://github.com/ByteLegendQuest/java-fix-add/blob/main/src/main/java/com/bytelegend/Challenge.java) , a maneira de eliminá-lo é criando um pull request para corrigi-lo.

Desafio
-------

-   Há um bug óbvio [neste programa](https://github.com/ByteLegendQuest/java-fix-add/blob/main/src/main/java/com/bytelegend/Challenge.java) : o operador de adição ( `+` ) é confundido com o operador de subtração ( `-` ).
-   Você pode realizar este desafio de qualquer maneira abaixo:
    -   Recomendado para iniciantes: execute `git clone https://github.com/ByteLegendQuest/java-fix-add` para baixar o código, conclua o desafio em seu IDE local e copie/cole/envie a resposta no editor da web.
        -   Se você não sabe como, você pode clicar em [import project into IDEA](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/clone-and-import.md) / [import project into VSCode](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/clone-and-import-vscode.md) .
        -   Antes de enviar seu código, é melhor você executar `mvn verify` localmente para economizar tempo. Não sei como? Consulte [verificar localmente em IDEA](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/run-mvn-verify-idea.md) / [verificar localmente em VSCode](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/run-mvn-verify-vscode.md) .
    -   Muito não recomendado: você pode [clicar aqui para baixar o código zipado](https://codeload.github.com/ByteLegendQuest/java-fix-add/zip/refs/heads/main) se não gostar das operações do `git` .
    -   Ou: se você estiver confiante o suficiente para escrever código diretamente no editor da web, vá em frente.
    -   Ou: se você estiver familiarizado com o GitHub, você pode bifurcar [o repo](https://github.com/ByteLegendQuest/java-fix-add) , finalizar o desafio e criar um pull request.
-   O bot verificará seu PR e informará se você cumprir o desafio.
-   Volte para [ByteLegend](https://bytelegend.com) e continue sua jornada de herói.

Boa sorte!

Se precisar de ajuda, sinta-se à vontade para se juntar à [Comunidade Discord](https://discord.gg/35RreUUGWt) ou entre em contato conosco via [contact@bytelegend.com](mailto:contact@bytelegend.com) .

**Nota: só permitimos que você modifique os seguintes arquivos. Quaisquer alterações em arquivos que não sejam os arquivos a seguir serão rejeitadas:**

-   `src/main/java/com/bytelegend/Challenge.java`

> ### Fato engraçado
> 
> O termo "bug" foi usado em um relato da pioneira da computação Grace Hopper, que divulgou a causa de um mau funcionamento em um computador eletromecânico inicial. Em 1947, os operadores rastrearam um erro no Mark II a uma mariposa presa em um relé, cunhando o termo bug. Este bug foi cuidadosamente removido e colado no livro de registro. Decorrente do primeiro bug, hoje chamamos erros ou falhas em um programa de bug. —— [Wikipédia](https://en.wikipedia.org/wiki/Software_bug)
> 
> ![erro](https://raw.githubusercontent.com/ByteLegendQuest/java-fix-add/main/first-bug.jpg)
</details>

<details>
<summary>Bahasa Indonesia</summary>

Bunuh Kejahatan Bug Pertama
---------------------------

Dalam hal belajar, tidak ada yang lebih baik daripada berlatih.

Dalam hal mempelajari pemrograman, tidak ada yang lebih baik daripada memperbaiki bug yang sebenarnya.

Sekarang, ada Bug Evil dalam [program Java sederhana ini](https://github.com/ByteLegendQuest/java-fix-add/blob/main/src/main/java/com/bytelegend/Challenge.java) , cara untuk mematikannya adalah membuat permintaan tarik untuk memperbaikinya.

Tantangan
---------

-   Ada bug yang jelas dalam [program ini](https://github.com/ByteLegendQuest/java-fix-add/blob/main/src/main/java/com/bytelegend/Challenge.java) : operator penambahan( `+` ) disalahartikan sebagai operator pengurangan( `-` ).
-   Anda dapat menyelesaikan tantangan ini melalui cara apa pun di bawah ini:
    -   Direkomendasikan untuk pemula: jalankan `git clone https://github.com/ByteLegendQuest/java-fix-add` untuk mengunduh kode, selesaikan tantangan di IDE lokal Anda, lalu salin/tempel/kirim jawabannya di editor web.
        -   Jika Anda tidak tahu caranya, Anda bisa mengklik [import project into IDEA](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/clone-and-import.md) / [import project into VSCode](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/clone-and-import-vscode.md) .
        -   Sebelum mengirimkan kode Anda, Anda sebaiknya menjalankan `mvn verify` secara lokal untuk menghemat waktu. Tidak tahu bagaimana? Lihat [verifikasi secara lokal di IDEA](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/run-mvn-verify-idea.md) / [verifikasi secara lokal di VSCode](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/run-mvn-verify-vscode.md) .
    -   Sangat tidak direkomendasikan: Anda dapat [mengklik di sini untuk mengunduh kode zip](https://codeload.github.com/ByteLegendQuest/java-fix-add/zip/refs/heads/main) jika Anda tidak menyukai operasi `git` .
    -   Atau: jika Anda cukup percaya diri untuk menulis kode di editor web secara langsung, silakan.
    -   Atau: jika Anda terbiasa dengan GitHub, Anda dapat melakukan fork [repo](https://github.com/ByteLegendQuest/java-fix-add) , menyelesaikan tantangan, dan membuat permintaan tarik.
-   Bot akan memeriksa PR Anda dan memberi tahu Anda jika Anda menyelesaikan tantangan.
-   Kembali ke [ByteLegend](https://bytelegend.com) dan lanjutkan perjalanan pahlawan Anda.

Semoga beruntung!

Jika Anda memerlukan bantuan, jangan ragu untuk bergabung dengan [Komunitas Discord](https://discord.gg/35RreUUGWt) atau hubungi kami melalui [contact@bytelegend.com](mailto:contact@bytelegend.com) .

**Catatan: kami hanya mengizinkan Anda untuk mengubah file berikut. Setiap perubahan pada file selain file berikut akan ditolak:**

-   `src/main/java/com/bytelegend/Challenge.java`

> ### Fakta Menarik
> 
> Istilah "bug" digunakan dalam akun oleh pelopor komputer Grace Hopper, yang mempublikasikan penyebab kerusakan pada komputer elektromekanis awal. Pada tahun 1947, operator melacak kesalahan dalam Mark II ke ngengat yang terperangkap dalam relai, menciptakan istilah bug. Bug ini telah dihapus dengan hati-hati dan ditempelkan ke buku log. Berasal dari bug pertama, hari ini kami menyebut kesalahan atau gangguan dalam suatu program sebagai bug. —— [Wikipedia](https://en.wikipedia.org/wiki/Software_bug)
> 
> ![serangga](https://raw.githubusercontent.com/ByteLegendQuest/java-fix-add/main/first-bug.jpg)
</details>

<details>
<summary>Français</summary>

Tuez le premier insecte maléfique
---------------------------------

Quand il s'agit d'apprendre, rien de mieux que la pratique.

Quand il s'agit d'apprendre la programmation, rien de mieux que de corriger un vrai bogue.

Maintenant, il y a un Bug Evil dans [ce programme Java simple](https://github.com/ByteLegendQuest/java-fix-add/blob/main/src/main/java/com/bytelegend/Challenge.java) , la façon de le tuer est de créer une demande d'extraction pour le réparer.

Défi
----

-   Il y a un bogue évident dans [ce programme](https://github.com/ByteLegendQuest/java-fix-add/blob/main/src/main/java/com/bytelegend/Challenge.java) : l'opérateur d'addition( `+` ) est confondu avec l'opérateur de soustraction( `-` ).
-   Vous pouvez accomplir ce défi de n'importe quelle manière ci-dessous:
    -   Recommandé pour les débutants : exécutez `git clone https://github.com/ByteLegendQuest/java-fix-add` pour télécharger le code, terminez le défi dans votre IDE local, puis copiez/collez/soumettez la réponse dans l'éditeur Web.
        -   Si vous ne savez pas comment, vous pouvez cliquer sur [importer le projet dans IDEA](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/clone-and-import.md) / [importer le projet dans VSCode](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/clone-and-import-vscode.md) .
        -   Avant de soumettre votre code, vous feriez mieux d'exécuter `mvn verify` localement pour gagner du temps. Vous ne savez pas comment ? Voir [vérifier localement dans IDEA](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/run-mvn-verify-idea.md) / [vérifier localement dans VSCode](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/run-mvn-verify-vscode.md) .
    -   Très déconseillé : vous pouvez [cliquer ici pour télécharger le code compressé](https://codeload.github.com/ByteLegendQuest/java-fix-add/zip/refs/heads/main) si vous n'aimez pas les opérations `git` .
    -   Ou : si vous êtes suffisamment confiant pour écrire du code directement dans l'éditeur Web, continuez.
    -   Ou : si vous êtes familier avec GitHub, vous pouvez forker [le dépôt](https://github.com/ByteLegendQuest/java-fix-add) , terminer le défi et créer une demande d'extraction.
-   Le bot vérifiera votre PR et vous dira si vous accomplissez le défi.
-   Retournez à [ByteLegend](https://bytelegend.com) et continuez votre voyage de héros.

Bonne chance!

Si vous avez besoin d'aide, n'hésitez pas à rejoindre la [communauté Discord](https://discord.gg/35RreUUGWt) ou à nous contacter via [contact@bytelegend.com](mailto:contact@bytelegend.com) .

**Remarque : nous vous autorisons uniquement à modifier les fichiers suivants. Toute modification de fichiers autres que les fichiers suivants sera rejetée :**

-   `src/main/java/com/bytelegend/Challenge.java`

> ### Fait amusant
> 
> Le terme "bogue" a été utilisé dans un récit par la pionnière de l'informatique Grace Hopper, qui a rendu public la cause d'un dysfonctionnement d'un des premiers ordinateurs électromécaniques. En 1947, les opérateurs ont retracé une erreur dans le Mark II à un papillon piégé dans un relais, inventant le terme bug. Ce bogue a été soigneusement supprimé et enregistré dans le journal de bord. Issu du premier bogue, nous appelons aujourd'hui des erreurs ou des problèmes dans un programme un bogue. —— [Wikipédia](https://en.wikipedia.org/wiki/Software_bug)
> 
> ![bogue](https://raw.githubusercontent.com/ByteLegendQuest/java-fix-add/main/first-bug.jpg)
</details>

<details>
<summary>日本語</summary>

最初のバグの悪を殺す
----------

学習に関しては、練習よりも優れているものはありません。

プログラミングの学習に関しては、実際のバグを修正することほど良いことはありません。

さて、 [この単純なJavaプログラム](https://github.com/ByteLegendQuest/java-fix-add/blob/main/src/main/java/com/bytelegend/Challenge.java)にはバグの悪があります。それを殺す方法は、それを修正するためのプルリクエストを作成することです。

チャレンジ
-----

-   [このプログラム](https://github.com/ByteLegendQuest/java-fix-add/blob/main/src/main/java/com/bytelegend/Challenge.java)には明らかなバグがあります。加算演算子（ `+` ）は減算演算子（ `-` ）と間違えられます。
-   この課題は、以下のいずれかの方法で達成できます。
    -   初心者に推奨： `git clone https://github.com/ByteLegendQuest/java-fix-add`を実行してコードをダウンロードし、ローカルIDEでチャレンジを終了してから、Webエディターで回答をコピー/貼り付け/送信します。
        -   方法がわからない場合は、\[ [プロジェクトをIDEAにインポート](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/clone-and-import.md)\]/\[ [プロジェクトをVSCodeにインポート](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/clone-and-import-vscode.md)\]をクリックできます。
        -   コードを送信する前に、時間を節約するためにローカルで`mvn verify`実行することをお勧めします。方法がわかりませんか？ [IDEAでローカルに](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/run-mvn-verify-idea.md)[検証する/VSCodeでローカルに](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/run-mvn-verify-vscode.md)検証するを参照してください。
    -   非常に推奨されていません`git`操作が気に入らない場合は、 [ここをクリックしてzipコードをダウンロード](https://codeload.github.com/ByteLegendQuest/java-fix-add/zip/refs/heads/main)できます。
    -   または：Webエディターで直接コードを記述できる自信がある場合は、先に進んでください。
    -   または：GitHubに精通している場合は[、リポジトリ](https://github.com/ByteLegendQuest/java-fix-add)をフォークしてチャレンジを終了し、プルリクエストを作成できます。
-   ボットはPRをチェックし、チャレンジを達成したかどうかを通知します。
-   [ByteLegend](https://bytelegend.com)に戻り、ヒーローの旅を続けてください。

幸運を！

ヘルプが必要な場合は、 [Discordコミュニティ](https://discord.gg/35RreUUGWt)に参加するか、contact [@bytelegend.com](mailto:contact@bytelegend.com)からお問い合わせください。

**注：変更できるのは次のファイルのみです。次のファイル以外のファイルへの変更は拒否されます。**

-   `src/main/java/com/bytelegend/Challenge.java`

> ### 楽しい事実
> 
> 「バグ」という用語は、初期の電気機械式コンピューターの誤動作の原因を公表したコンピューターのパイオニアであるグレースホッパーによってアカウントで使用されました。 1947年、オペレーターはMark IIのエラーをリレーに閉じ込められた蛾まで追跡し、バグという用語を作り出しました。このバグは注意深く削除され、ログブックに記録されました。最初のバグに端を発して、今日、プログラムのエラーまたはグリッチをバグと呼びます。 -[ウィキペディア](https://en.wikipedia.org/wiki/Software_bug)
> 
> ![バグ](https://raw.githubusercontent.com/ByteLegendQuest/java-fix-add/main/first-bug.jpg)
</details>

<details>
<summary>Русский</summary>

Убить первого жука-зла
----------------------

Когда дело доходит до обучения, нет ничего лучше, чем практика.

Когда дело доходит до изучения программирования, нет ничего лучше, чем исправить настоящую ошибку.

Теперь в [этой простой Java-программе](https://github.com/ByteLegendQuest/java-fix-add/blob/main/src/main/java/com/bytelegend/Challenge.java) есть Злая ошибка, способ убить ее — создать запрос на включение, чтобы исправить ее.

Испытание
---------

-   В [этой программе](https://github.com/ByteLegendQuest/java-fix-add/blob/main/src/main/java/com/bytelegend/Challenge.java) есть очевидная ошибка: оператор сложения ( `+` ) ошибочно принимается за оператор вычитания ( `-` ).
-   Вы можете выполнить эту задачу любым способом, указанным ниже:
    -   Рекомендуется для начинающих: запустите `git clone https://github.com/ByteLegendQuest/java-fix-add` , чтобы загрузить код, выполните задание в локальной среде IDE, затем скопируйте/вставьте/отправьте ответ в веб-редакторе.
        -   Если вы не знаете как, вы можете нажать [импортировать проект в IDEA](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/clone-and-import.md) / [импортировать проект в VSCode](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/clone-and-import-vscode.md) .
        -   Перед отправкой кода вам лучше запустить `mvn verify` локально, чтобы сэкономить время. Не знаете как? См. « [Проверить локально в IDEA](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/run-mvn-verify-idea.md) / [проверить локально в VSCode»](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/run-mvn-verify-vscode.md) .
    -   Крайне не рекомендуется: вы можете [щелкнуть здесь, чтобы загрузить заархивированный код](https://codeload.github.com/ByteLegendQuest/java-fix-add/zip/refs/heads/main) , если вам не нравятся операции `git` .
    -   Или: если вы достаточно уверены, чтобы писать код напрямую в веб-редакторе, вперед.
    -   Или: если вы знакомы с GitHub, вы можете разветвить [репо](https://github.com/ByteLegendQuest/java-fix-add) , выполнить задание и создать запрос на включение.
-   Бот проверит ваш PR и сообщит, выполнили ли вы задание.
-   Вернитесь в [ByteLegend](https://bytelegend.com) и продолжайте свое героическое путешествие.

Удачи!

Если вам нужна помощь, присоединяйтесь к [сообществу Discord](https://discord.gg/35RreUUGWt) или свяжитесь с нами по [адресу contact@bytelegend.com](mailto:contact@bytelegend.com) .

**Примечание: мы разрешаем вам изменять только следующие файлы. Любые изменения в файлах, кроме следующих файлов, будут отклонены:**

-   `src/main/java/com/bytelegend/Challenge.java`

> ### Забавный факт
> 
> Термин «ошибка» был использован в отчете пионера компьютеров Грейс Хоппер, которая опубликовала информацию о причине неисправности в одном из первых электромеханических компьютеров. В 1947 году операторы проследили ошибку в Mark II до мотылька, пойманного в реле, придумав термин « ошибка» . Эта ошибка была тщательно удалена и записана в бортовой журнал. Исходя из первой ошибки, сегодня мы называем ошибки или сбои в программе ошибкой. —— [Википедия](https://en.wikipedia.org/wiki/Software_bug)
> 
> ![ошибка](https://raw.githubusercontent.com/ByteLegendQuest/java-fix-add/main/first-bug.jpg)
</details>

<details>
<summary>Deutsch</summary>

Töte First Bug Evil
-------------------

Wenn es ums Lernen geht, ist nichts besser als Übung.

Wenn es darum geht, Programmieren zu lernen, ist nichts besser, als einen echten Fehler zu beheben.

Nun, es gibt einen Bug Evil in [diesem einfachen Java-Programm](https://github.com/ByteLegendQuest/java-fix-add/blob/main/src/main/java/com/bytelegend/Challenge.java) , der Weg, ihn zu beenden, besteht darin, eine Pull-Anfrage zu erstellen, um ihn zu beheben.

Herausforderung
---------------

-   Es gibt einen offensichtlichen Fehler in [diesem Programm](https://github.com/ByteLegendQuest/java-fix-add/blob/main/src/main/java/com/bytelegend/Challenge.java) : Der Additionsoperator ( `+` ) wird fälschlicherweise als Subtraktionsoperator ( `-` ) interpretiert.
-   Sie können diese Herausforderung auf eine der folgenden Arten meistern:
    -   Empfohlen für Anfänger: Führen Sie `git clone https://github.com/ByteLegendQuest/java-fix-add` aus, um den Code herunterzuladen, beenden Sie die Herausforderung in Ihrer lokalen IDE und kopieren/fügen Sie dann die Antwort im Web-Editor ein/übermitteln Sie sie.
        -   Wenn Sie nicht wissen wie, können Sie auf [Projekt in IDEA](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/clone-and-import.md) [importieren / Projekt in VSCode importieren klicken](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/clone-and-import-vscode.md) .
        -   Bevor Sie Ihren Code einreichen, sollten Sie `mvn verify` besser lokal ausführen, um Zeit zu sparen. Sie wissen nicht wie? Siehe [Lokal verifizieren in IDEA](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/run-mvn-verify-idea.md) / [Lokal verifizieren in VSCode](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/run-mvn-verify-vscode.md) .
    -   Sehr nicht zu empfehlen: Sie können [hier klicken, um den gezippten Code herunterzuladen,](https://codeload.github.com/ByteLegendQuest/java-fix-add/zip/refs/heads/main) wenn Sie `git` -Operationen nicht mögen.
    -   Oder: Wenn Sie sicher genug sind, Code direkt im Web-Editor zu schreiben, fahren Sie fort.
    -   Oder: Wenn Sie sich mit GitHub auskennen, können Sie [das Repo forken](https://github.com/ByteLegendQuest/java-fix-add) , die Challenge beenden und einen Pull-Request erstellen.
-   Der Bot überprüft Ihre PR und teilt Ihnen mit, ob Sie die Herausforderung meistern.
-   Gehen Sie zurück zu [ByteLegend](https://bytelegend.com) und setzen Sie Ihre Heldenreise fort.

Viel Glück!

Wenn Sie Hilfe benötigen, können Sie sich gerne der [Discord Community](https://discord.gg/35RreUUGWt) anschließen oder uns über [contact@bytelegend.com kontaktieren](mailto:contact@bytelegend.com) .

**Hinweis: Wir erlauben Ihnen nur, die folgenden Dateien zu ändern. Alle Änderungen an anderen Dateien als den folgenden Dateien werden abgelehnt:**

-   `src/main/java/com/bytelegend/Challenge.java`

> ### Lustige Tatsache
> 
> Der Begriff "Bug" wurde in einem Bericht der Computerpionierin Grace Hopper verwendet, die die Ursache einer Fehlfunktion in einem frühen elektromechanischen Computer veröffentlichte. 1947 führten Betreiber einen Fehler im Mark II auf eine Motte zurück, die in einem Relais gefangen war, und prägten den Begriff Bug. Dieser Fehler wurde sorgfältig entfernt und im Logbuch festgehalten. Ausgehend vom ersten Bug nennen wir heute Fehler oder Störungen in einem Programm einen Bug. [——Wikipedia](https://en.wikipedia.org/wiki/Software_bug)
> 
> ![Insekt](https://raw.githubusercontent.com/ByteLegendQuest/java-fix-add/main/first-bug.jpg)
</details>

<details>
<summary>한국어</summary>

첫 번째 버그 이블 죽이기
--------------

배움에 있어서는 연습보다 더 좋은 것은 없습니다.

프로그래밍을 배울 때 실제 버그를 수정하는 것보다 더 좋은 것은 없습니다.

이제 [이 간단한 Java 프로그램](https://github.com/ByteLegendQuest/java-fix-add/blob/main/src/main/java/com/bytelegend/Challenge.java) 에는 Bug Evil이 있습니다. 이를 제거하는 방법은 이를 수정하기 위한 풀 요청을 생성하는 것입니다.

도전
--

-   [이 프로그램](https://github.com/ByteLegendQuest/java-fix-add/blob/main/src/main/java/com/bytelegend/Challenge.java) 에는 명백한 버그가 있습니다. 더하기 연산자( `+` )가 빼기 연산자( `-` )로 오인됩니다.
-   아래 방법을 통해 이 챌린지를 완료할 수 있습니다.
    -   초보자를 위한 권장 사항: `git clone https://github.com/ByteLegendQuest/java-fix-add` 를 실행하여 코드를 다운로드하고 로컬 IDE에서 챌린지를 완료한 다음 웹 편집기에서 답변을 복사/붙여넣기/제출합니다.
        -   방법을 모르는 경우 [프로젝트를 IDEA로](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/clone-and-import.md) [가져오기 / 프로젝트를 VSCode로 가져](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/clone-and-import-vscode.md) 오기를 클릭할 수 있습니다.
        -   코드를 제출하기 전에 시간을 절약하기 위해 로컬에서 `mvn verify` 를 실행하는 것이 좋습니다. 방법을 모르십니까? [IDEA에서 로컬로](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/run-mvn-verify-idea.md) [확인/VSCode에서 로컬로](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/run-mvn-verify-vscode.md) 확인을 참조하세요.
    -   매우 권장하지 않음: `git` 작업이 마음에 들지 않으면 [여기를 클릭하여 압축 코드를 다운로드](https://codeload.github.com/ByteLegendQuest/java-fix-add/zip/refs/heads/main) 할 수 있습니다.
    -   또는 웹 편집기에서 직접 코드를 작성할 만큼 자신이 있다면 계속 진행하십시오.
    -   또는 GitHub에 익숙하다면 리포지토리를 분기 [하고](https://github.com/ByteLegendQuest/java-fix-add) 챌린지를 완료하고 풀 요청을 생성할 수 있습니다.
-   봇은 PR을 확인하고 도전 과제를 달성했는지 알려줍니다.
-   [ByteLegend](https://bytelegend.com) 로 돌아가 영웅 여정을 계속하세요.

행운을 빕니다!

도움이 필요하면 언제든지 [Discord 커뮤니티](https://discord.gg/35RreUUGWt) 에 가입하거나 [contact@bytelegend.com](mailto:contact@bytelegend.com) 을 통해 문의하세요.

**참고: 다음 파일만 수정할 수 있습니다. 다음 파일 이외의 파일에 대한 변경 사항은 거부됩니다.**

-   `src/main/java/com/bytelegend/Challenge.java`

> ### 재미있는 사실
> 
> "버그"라는 용어는 초기 전자 기계 컴퓨터의 오작동 원인을 공개한 컴퓨터 개척자 Grace Hopper의 설명에서 사용되었습니다. 1947년에 운영자는 Mark II의 오류를 계전기에 갇힌 나방으로 추적하여 버그라는 용어를 만들었습니다. 이 버그는 조심스럽게 제거되었고 로그북에 기록되었습니다. 첫 번째 버그에서 유래하여 오늘날 우리는 프로그램의 오류 또는 결함을 버그라고 부릅니다. —— [위키피디아](https://en.wikipedia.org/wiki/Software_bug)
> 
> ![벌레](https://raw.githubusercontent.com/ByteLegendQuest/java-fix-add/main/first-bug.jpg)
</details>

<details>
<summary>Italiano</summary>

Uccidi il primo insetto malvagio
--------------------------------

Quando si tratta di imparare, niente è meglio della pratica.

Quando si tratta di imparare a programmare, niente è meglio che correggere un vero bug.

Ora, c'è un Bug Evil in [questo semplice programma Java](https://github.com/ByteLegendQuest/java-fix-add/blob/main/src/main/java/com/bytelegend/Challenge.java) , il modo per ucciderlo è creare una richiesta pull per risolverlo.

Sfida
-----

-   C'è un bug evidente in [questo programma](https://github.com/ByteLegendQuest/java-fix-add/blob/main/src/main/java/com/bytelegend/Challenge.java) : l'operatore di addizione( `+` ) viene scambiato come operatore di sottrazione( `-` ).
-   Puoi portare a termine questa sfida in qualsiasi modo di seguito:
    -   Consigliato per i principianti: esegui `git clone https://github.com/ByteLegendQuest/java-fix-add` per scaricare il codice, completa la sfida nel tuo IDE locale, quindi copia/incolla/invia la risposta nell'editor web.
        -   Se non sai come fare, puoi fare clic su [importa progetto in IDEA](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/clone-and-import.md) / [importa progetto in VSCode](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/clone-and-import-vscode.md) .
        -   Prima di inviare il codice, è meglio eseguire `mvn verify` in locale per risparmiare tempo. Non sai come? Vedere [verifica in locale in IDEA](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/run-mvn-verify-idea.md) / [verifica in locale in VSCode](https://github.com/ByteLegendQuest/java-fix-add/blob/main/docs/en/run-mvn-verify-vscode.md) .
    -   Molto sconsigliato: puoi fare [clic qui per scaricare il codice zippato](https://codeload.github.com/ByteLegendQuest/java-fix-add/zip/refs/heads/main) se non ti piacciono le operazioni `git` .
    -   Oppure: se sei abbastanza sicuro da scrivere il codice direttamente nell'editor web, vai avanti.
    -   Oppure: se hai familiarità con GitHub, puoi eseguire il fork [del repository](https://github.com/ByteLegendQuest/java-fix-add) , completare la sfida e creare una richiesta pull.
-   Il bot controllerà il tuo PR e ti dirà se hai superato la sfida.
-   Torna a [ByteLegend](https://bytelegend.com) e continua il tuo viaggio da eroe.

Buona fortuna!

Se hai bisogno di aiuto, non esitare a unirti alla [community di Discord](https://discord.gg/35RreUUGWt) o contattaci tramite [contact@bytelegend.com](mailto:contact@bytelegend.com) .

**Nota: ti permettiamo solo di modificare i seguenti file. Eventuali modifiche ai file diversi dai seguenti file verranno rifiutate:**

-   `src/main/java/com/bytelegend/Challenge.java`

> ### Fatto divertente
> 
> Il termine "bug" è stato utilizzato in un resoconto dalla pioniera dei computer Grace Hopper, che ha pubblicizzato la causa di un malfunzionamento in uno dei primi computer elettromeccanici. Nel 1947, gli operatori rintracciarono un errore nel Mark II in una falena intrappolata in una staffetta, coniando il termine bug. Questo bug è stato accuratamente rimosso e registrato sul registro. Derivando dal primo bug, oggi chiamiamo bug gli errori o glitch in un programma. —— [Wikipedia](https://en.wikipedia.org/wiki/Software_bug)
> 
> ![insetto](https://raw.githubusercontent.com/ByteLegendQuest/java-fix-add/main/first-bug.jpg)
</details>
